## openmoneybox 3.5.1

=== Makefile ===
# (C) Igor Calì 24/11/2025 (igorcali@disroot.org)

#Product identification
# DEVMARKER COULD BE EITHER b (beta) or rc (release candidate)
MAJVER = 3.5
DEVMARKER =
VERSION = $(MAJVER)$(DEVMARKER).1

OMBNAME = libigiomb-$(MAJVER).so
BERRNAME = libomberr-$(MAJVER).so
OPTNAME = libombopt-$(MAJVER).so
WIZARDNAME = libombwizard-$(MAJVER).so
UPDATENAME = libombupdate-$(MAJVER).so
APPNAME = openmoneybox
INDNAME = ombindicator
TRAYNAME = ombtray
CONVERTNAME = ombconvert
MAPVIEWERNAME = ombmapviewer

# Build information
# Override DEBUG with 1 to create debug build
DEBUG ?= 0
# override DEBIAN with 0 for non Debian installation
DEBIAN ?= 1
# Override INCREMENT with 1 to increment the build number 
INCREMENT ?= 0
# override WXPATH with path folder for custom build
WXPATH ?=
# Override with _OMB_CHART_MATLIBPLOT to build with MathPlotLib
#CHART_LIB ?= _OMB_CHART_MATLIBPLOT
CHART_LIB ?= _OMB_CHART_WXPIECTRL
# Override FLATPAK with 1 to package Flatpak
FLATPAK ?= 0
# Override APPIMAGE with 1 to package AppImage
APPIMAGE ?= 0
# Override CONVERT_BUILD with 1 to build ombconvert
CONVERT_BUILD ?= 0
# Override WARNING_ONLY with 1 not to stop building on warnings
WARNING_ONLY ?= 0
# SqlCipher v4 compatibility
OMB_SQLCIPHER_V4 ?= 0

# Android
ANDROID_FOLDER ?= android/
#override ANDROID_API_LEVEL for other Android versions
ANDROID_API_LEVEL ?= API33

SRCDIR = src/
includes = $(wildcard src/*.h)
ifeq ($(DEBUG),1)
	OBJDIR = _gtkd/
else
	OBJDIR = _gtk/
endif
BUILDDIR = 
# Name of text file containing build number.
BUILD_NUMBER_FILE=build-number.txt
# Create an auto-incrementing build number.
BUILD_NUMBER_LDFLAGS = -Xlinker --defsym -Xlinker __BUILD_DATE=$$(date +'%Y%m%d')
BUILD_NUMBER_LDFLAGS += -Xlinker --defsym -Xlinker __BUILD_NUMBER=$$(cat $(BUILD_NUMBER_FILE))

# wxWidgets configuration;
CXX = $(shell wx-config --cxx)
ifeq ($(DEBUG),1)
	CXXFLAGS = `wx-config --debug --cxxflags`
	LDLIBS = `wx-config --debug --libs`
else
	CXXFLAGS = `$(WXPATH)wx-config --cxxflags`
	LDLIBS = `$(WXPATH)wx-config --libs`
endif
WXVER = $(shell wx-config --release)

# determine linux distribution
DISTRO ?= $(shell lsb_release -i -s 2>/dev/null)
CODENAME = $(shell lsb_release -c -s 2>/dev/null)

# default features
SETUP_SHELL =
SETUP_POSTIFIX = 
GTK_VERSION = gtk2u
APPINDICATOR = 1
TOOL_ICON_SIZE = 24
FLAVOUR_FLAGS = 
WXSQLITE_VERSIONPOSTFIX = -3.0
INDICATOR_FLAGS = 
CONVERT_FLAGS = -DwxUSE_GUI=0
OMBUPDATE = 0
UPDATE_FLAGS =
UPDATE_LIBS =
USE_GSETTINGS = 1
GSETTINGS_FLAGS =
GSETTINGS_LIBS =
OMB_MAPVIEWER = 1
OMB_USE_SQLCIPHER = 1
OPTION_FLAGS =
OMB_MONOLITHIC = 1
YELP = 1
USE_LIBXML2 = 1
NOTIFYSEND_APPSWITCH = 0
INSTALL_MAN_PAGE = 1

# compiler flags
CXXFLAGS += -g

# OS flavour configuration
# step1: distro check
ifneq ($(DISTRO),Ubuntu)
	APPINDICATOR = 0
endif
ifeq ($(DISTRO),Debian)
	APPINDICATOR = 1
# Determine if ayatana appindicator lib is installed
	AYATANA_INDICATOR_LIB_INFO := $(shell pkg-config ayatana-appindicator3-0.1 --cflags; echo $$?)

ifeq ($(CODENAME),sid)
	AYATANA_INDICATOR_LIB_INFO := $(shell pkg-config ayatana-appindicator-glib --cflags; echo $$?)

	OMB_SQLCIPHER_V4 = 1
	CXXFLAGS += -DNDEBUG -D__UBUNTU_2510__  -D__OMB_WITH_PIE__

	LDFLAGS = -D_FORTIFY_SOURCE=2 $(shell dpkg-buildflags --get LDFLAGS) # Hardening flags
	CXXFLAGS += $(LDFLAGS)
endif
ifeq ($(CODENAME),forky)
	AYATANA_INDICATOR_LIB_INFO := $(shell pkg-config ayatana-appindicator-glib --cflags; echo $$?)

	OMB_SQLCIPHER_V4 = 1
	CXXFLAGS += -DNDEBUG -D__UBUNTU_2510__  -D__OMB_WITH_PIE__

	LDFLAGS = -D_FORTIFY_SOURCE=2 $(shell dpkg-buildflags --get LDFLAGS) # Hardening flags
	CXXFLAGS += $(LDFLAGS)
endif
ifeq ($(CODENAME),trixie)
	OMB_SQLCIPHER_V4 = 1
	CXXFLAGS += -DNDEBUG -D__OMB_WITH_PIE__
	
	LDFLAGS = -D_FORTIFY_SOURCE=2 $(shell dpkg-buildflags --get LDFLAGS) # Hardening flags
	CXXFLAGS += $(LDFLAGS)
endif
ifeq ($(CODENAME),bookworm)
	CXXFLAGS += -DNDEBUG
endif
endif
ifeq ($(DISTRO),Raspbian)
	BUILD_NUMBER_LDFLAGS += -no-pie
	YELP = 0
ifeq ($(CODENAME),bookworm)
	CXXFLAGS += -DNDEBUG
endif
endif
ifeq ($(DISTRO),Fedora)
	SETUP_POSTIFIX = .fedora
	GTK_VERSION = gtk3u
	FLAVOUR_FLAGS += ${CFLAGS}
	WXSQLITE_VERSIONPOSTFIX = 
	OMBUPDATE = 1
	APPINDICATOR = 1
	
	OMB_SQLCIPHER_V4 = 1
	
	# wxWidgets 3.2
	CXXFLAGS += -DNDEBUG -D__OMB_WITH_PIE__
	
	LDFLAGS = -D_FORTIFY_SOURCE=2 -Wl,-z,relro -Wl,-z,now -Wl,--as-needed # Hardening flags
	CXXFLAGS += $(LDFLAGS)
endif
ifeq ($(DISTRO),openSUSE)
	APPINDICATOR = 1
	FLAVOUR_FLAGS += -D__OPENSUSE__
	OMBUPDATE = 1

	OMB_SQLCIPHER_V4 = 1
	
	# wxWidgets 3.2
	CXXFLAGS += -DNDEBUG -D__OMB_WITH_PIE__
	
	LDFLAGS = -D_FORTIFY_SOURCE=2 -Wl,-z,relro -Wl,-z,now -Wl,--as-needed # Hardening flags
	CXXFLAGS += $(LDFLAGS)
endif
# old SUSE distro name
ifeq ($(DISTRO),openSUSE project)
	FLAVOUR_FLAGS += -D__OPENSUSE__
	OMBUPDATE = 1
endif
ifeq ($(DISTRO),Arch)
	OMB_MAPVIEWER = 0
#	BUILD_NUMBER_LDFLAGS += -no-pie
	OMBUPDATE = 1
	
	OMB_SQLCIPHER_V4 = 1
	
	# wxWidgets 3.2
	CXXFLAGS += -DNDEBUG -D__OMB_WITH_PIE__
	
	LDFLAGS = -D_FORTIFY_SOURCE=2 -Wl,-z,relro -Wl,-z,now -Wl,--as-needed # Hardening flags
	CXXFLAGS += $(LDFLAGS)
	
	YELP = 0
	
	NOTIFYSEND_APPSWITCH = 1
	FLAVOUR_FLAGS += -D__ARCHLINUX__
endif
ifeq ($(FLATPAK),1)
	USE_GSETTINGS = 0
	OMB_MAPVIEWER = 0
	BUILD_NUMBER_LDFLAGS += -no-pie
	FLAVOUR_FLAGS += -D__FLATPAK__
	
	OMB_SQLCIPHER_V4 = 1
	
	# wxWidgets 3.2
	CXXFLAGS += -DNDEBUG -D__OMB_WITH_PIE__
	
	LDFLAGS = -D_FORTIFY_SOURCE=2 -Wl,-z,relro -Wl,-z,now -Wl,--as-needed # Hardening flags
	CXXFLAGS += $(LDFLAGS)
endif
ifeq ($(APPIMAGE),1)
	USE_GSETTINGS = 0
#	OMB_MAPVIEWER = 0
	YELP = 0
	BUILD_NUMBER_LDFLAGS += -no-pie
	FLAVOUR_FLAGS += -D__APPIMAGE__
	
	OMB_SQLCIPHER_V4 = 1
	
	# wxWidgets 3.2
	CXXFLAGS += -DNDEBUG -D__OMB_WITH_PIE__
	
	LDFLAGS = -D_FORTIFY_SOURCE=2 -Wl,-z,relro -Wl,-z,now -Wl,--as-needed # Hardening flags
	CXXFLAGS += $(LDFLAGS)
endif
# step 2: Ubuntu codename check
ifeq ($(CODENAME),resolute)
# -no-pie is to make sure build number link symbol is in a fixed address - https://stackoverflow.com/questions/40095236/symbols-defined-with-defsym-give-incorrect-address-on-ubuntu-16-10
	BUILD_NUMBER_LDFLAGS += -no-pie
# Determine if ayatana appindicator lib is installed
	AYATANA_INDICATOR_LIB_INFO := $(shell pkg-config ayatana-appindicator3-0.1 --cflags; echo $$?)
#	AYATANA_INDICATOR_LIB_INFO := $(shell pkg-config ayatana-appindicator-glib --cflags; echo $$?)
	NOTIFYSEND_APPSWITCH = 1
	# wxWidgets 3.2
	CXXFLAGS += -DNDEBUG -D__UBUNTU_2510__  -D__OMB_WITH_PIE__
	
	LDFLAGS = -D_FORTIFY_SOURCE=2 -Wl,-z,relro -Wl,-z,now -Wl,--as-needed # Hardening flags
	CXXFLAGS += $(LDFLAGS)
	
	UPDATE_YARU_THEME = 1
	OMB_SQLCIPHER_V4 = 1
endif
ifeq ($(CODENAME),questing)
# -no-pie is to make sure build number link symbol is in a fixed address - https://stackoverflow.com/questions/40095236/symbols-defined-with-defsym-give-incorrect-address-on-ubuntu-16-10
	BUILD_NUMBER_LDFLAGS += -no-pie
# Determine if ayatana appindicator lib is installed
	AYATANA_INDICATOR_LIB_INFO := $(shell pkg-config ayatana-appindicator3-0.1 --cflags; echo $$?)
#	AYATANA_INDICATOR_LIB_INFO := $(shell pkg-config ayatana-appindicator-glib --cflags; echo $$?)
	NOTIFYSEND_APPSWITCH = 1
	# wxWidgets 3.2
	CXXFLAGS += -DNDEBUG -D__UBUNTU_2510__ -D__OMB_WITH_PIE__
	
	LDFLAGS = -D_FORTIFY_SOURCE=2 -Wl,-z,relro -Wl,-z,now -Wl,--as-needed # Hardening flags
	CXXFLAGS += $(LDFLAGS)
	
	UPDATE_YARU_THEME = 1
	OMB_SQLCIPHER_V4 = 1
endif
ifeq ($(CODENAME),plucky)
# -no-pie is to make sure build number link symbol is in a fixed address - https://stackoverflow.com/questions/40095236/symbols-defined-with-defsym-give-incorrect-address-on-ubuntu-16-10
	BUILD_NUMBER_LDFLAGS += -no-pie
# Determine if ayatana appindicator lib is installed
	AYATANA_INDICATOR_LIB_INFO := $(shell pkg-config ayatana-appindicator3-0.1 --cflags; echo $$?)
	NOTIFYSEND_APPSWITCH = 1
	# wxWidgets 3.2
	CXXFLAGS += -DNDEBUG -D__OMB_WITH_PIE__
	
	LDFLAGS = -D_FORTIFY_SOURCE=2 -Wl,-z,relro -Wl,-z,now -Wl,--as-needed # Hardening flags
	CXXFLAGS += $(LDFLAGS)
	
	UPDATE_YARU_THEME = 1
	OMB_SQLCIPHER_V4 = 1
endif
ifeq ($(CODENAME),noble)
# -no-pie is to make sure build number link symbol is in a fixed address - https://stackoverflow.com/questions/40095236/symbols-defined-with-defsym-give-incorrect-address-on-ubuntu-16-10
	BUILD_NUMBER_LDFLAGS += -no-pie
# Determine if ayatana appindicator lib is installed
	AYATANA_INDICATOR_LIB_INFO := $(shell pkg-config ayatana-appindicator3-0.1 --cflags; echo $$?)
	NOTIFYSEND_APPSWITCH = 1
	# wxWidgets 3.2
	CXXFLAGS += -DNDEBUG -D__OMB_WITH_PIE__
	
	LDFLAGS = -D_FORTIFY_SOURCE=2 -Wl,-z,relro -Wl,-z,now -Wl,--as-needed # Hardening flags
	CXXFLAGS += $(LDFLAGS)
	
	UPDATE_YARU_THEME = 1
	OMB_SQLCIPHER_V4 = 1
endif
ifeq ($(CODENAME),jammy)
# -no-pie is to make sure build number link symbol is in a fixed address - https://stackoverflow.com/questions/40095236/symbols-defined-with-defsym-give-incorrect-address-on-ubuntu-16-10
	BUILD_NUMBER_LDFLAGS += -no-pie
# Determine if ayatana appindicator lib is installed
	AYATANA_INDICATOR_LIB_INFO := $(shell pkg-config ayatana-appindicator3-0.1 --cflags; echo $$?)
	CXXFLAGS += -D__OMB_LEGACY_WX__
endif
ifeq ($(CODENAME),focal)
# -no-pie is to make sure build number link symbol is in a fixed address - https://stackoverflow.com/questions/40095236/symbols-defined-with-defsym-give-incorrect-address-on-ubuntu-16-10
	BUILD_NUMBER_LDFLAGS += -no-pie
	CXXFLAGS += -D__OMB_LEGACY_WX__
endif
ifeq ($(CODENAME),bionic)
# -no-pie is to make sure build number link symbol is in a fixed address - https://stackoverflow.com/questions/40095236/symbols-defined-with-defsym-give-incorrect-address-on-ubuntu-16-10
	BUILD_NUMBER_LDFLAGS += -no-pie
	CXXFLAGS += -D__OMB_LEGACY_WX__
endif
ifeq ($(CODENAME),xenial)
	OMB_USE_SQLCIPHER = 0
	USE_LIBXML2 = 0
	CXXFLAGS += -std=c++11 -D__OMB_LEGACY_WX__
	INSTALL_MAN_PAGE = 0
endif
ifeq ($(CODENAME),trusty)
	OMB_MAPVIEWER = 0
	OMB_USE_SQLCIPHER = 0
	USE_LIBXML2 = 0
	WARNING_ONLY = 1
	CXXFLAGS += -std=c++11 -D__OMB_LEGACY_WX__
	INSTALL_MAN_PAGE = 0
endif

# step 3: configuration
ifeq ($(WARNING_ONLY),0)
COMPILE_FLAGS += -Werror
endif

#wxsqlite3 configuration
ifeq ($(OMB_USE_SQLCIPHER),1)
	SQL3FLAGS = `pkg-config sqlcipher --cflags` -DSQLITE_HAS_CODEC -D_OMB_USE_CIPHER
	SQL3LIBS = `pkg-config sqlcipher --libs`
	OPTION_FLAGS += -D_OMB_USE_CIPHER
else
ifneq ($(CODENAME),trusty)
	SQL3FLAGS = `pkg-config wxsqlite3$(WXSQLITE_VERSIONPOSTFIX) --cflags`
	SQL3LIBS = `pkg-config wxsqlite3$(WXSQLITE_VERSIONPOSTFIX) --libs`
else
	WXSQLITE_VERSION = 3.4.1
	SQL3FLAGS = -I3rdparty/wxsqlite3-$(WXSQLITE_VERSION)/include
	SQL3LIBS = lib/libwxcode_$(GTK_VERSION)_wxsqlite3-$(WXVER).so
endif
endif

ifeq ($(APPINDICATOR),1)
	INDICATOR_FLAGS = -D_OMB_USEINDICATOR
endif

ifeq ($(OMB_MONOLITHIC),1)
OMBNAME = 
BERRNAME = 
OPTNAME = 
WIZARDNAME = 
UPDATENAME = 
TRAYNAME = 

COMPILE_FLAGS += -D_OMB_MONOLITHIC
endif

ifeq ($(YELP),1)
COMPILE_FLAGS += -D_YELP
endif

ifeq ($(OMB_SQLCIPHER_V4),1)
	COMPILE_FLAGS += -D_OMB_SQLCIPHER_v4
endif

# Chart build configuration
ifeq ($(CHART_LIB),_OMB_CHART_MATLIBPLOT)
	CHART_FLAGS = -D_OMB_CHART_MATLIBPLOT
else
	CHART_FLAGS = -D_OMB_CHART_WXPIECTRL
endif

ifeq ($(OMBUPDATE),1)
	UPDATE_FLAGS = -D_OMB_INSTALLEDUPDATE
	UPDATE_LIBS = $(BUILDDIR)$(UPDATENAME)
endif
ifeq ($(USE_GSETTINGS),1)
	GSETTINGS_FLAGS = `pkg-config gio-2.0 --cflags` -D_OMB_USE_GSETTINGS
	GSETTINGS_LIBS = `pkg-config gio-2.0 --libs`
endif

# libxml2 configuration
ifeq ($(USE_LIBXML2),1)
	LIBXML_FLAGS = `pkg-config libxml-2.0 --cflags` -D_OMB_USE_LIBXML2
	LIBXML_LIBS = `pkg-config libxml-2.0 --libs`
endif

# notify-send configuration
ifeq ($(NOTIFYSEND_APPSWITCH),1)
	COMPILE_FLAGS += -D_OMB_NOTIFYSENDAPPSWITCH
endif

# Sources and Objects definition
ifeq ($(OMB_MONOLITHIC),0)
OBJECTS_OMB = $(OBJDIR)igiomb/igiomb.o $(OBJDIR)platformsetup.o
OBJECTS_BERR = $(OBJDIR)omberr/omberr.o
OBJECTS_OPT = $(OBJDIR)ombopt/ombopt.o $(OBJDIR)ombopt/ui/opzio.o $(OBJDIR)ombopt/ui/wxoption.o $(OBJDIR)ombopt/omb35opt.o
ifeq ($(OMBUPDATE),1)
