=== debian/changelog ===
openmoneybox (3.5.1-8) unstable; urgency=medium

  * FIX GL #50: [Debian] ombindicator tray indicator disappears;
  * [Linux] Better integration w/ native notification system;
  * [Linux] Actions added to native notifications;
  * [Debian] NOTIFYSEND_APPSWITCH enabled;
  * Replaced custom alarm sound w/ wxBeep();
  * [Linux] Debian packaging improvement;
				Release to Debian repository - tentative (Closes: #1119707).

 -- Igor Calì <igorcali@disroot.org>  Mon, 09 Feb 2026 00:04:27 +0100

openmoneybox (3.5.1-6) stable; urgency=medium

  * [Linux] [OpenSolaris] Fortified build (-D_FORTIFY_SOURCE=2
				-Wl,-z,relro -Wl,-z,now -Wl,--as-needed);
  * [Linux] [FreeBSD] [OpenSolaris] Added man page;
  * [Linux] 1st release to Debian repository (tentative).

 -- Igor Calì <igorcali@disroot.org>  Sat, 22 Nov 2025 15:42:48 +0100

openmoneybox (3.5.1.5) stable; urgency=medium

  * Complete GL #40: [Linux] [FreeBSD] [OpenSolaris] FHS - Change install
  	location for core resources from /etc/ to $(SHAREDIR)/openmoneybox/;

 -- Igor Calì <igorcali@disroot.org>  Thu, 6 Nov 2025 08:34:00 +0200

openmoneybox (3.5.1.4) stable; urgency=medium

  * Fix GL #39: [Debian 13 Trixie] OMB_SQLCIPHER_V4 not enabled;
  * Fix GL #40: [Y2K38] [Desktop] Unexpected alarm is set on new shopping
  	list item;
  * Russian translation added, thanks to Yurt Page from Weblate
  	(https://hosted.weblate.org/projects/openmoneybox/);

 -- Igor Calì <igorcali@disroot.org>  Wed, 29 Oct 2025 00:53:00 +0200

openmoneybox (3.5.1-3ubuntu0) stable; urgency=medium

  * Author email changed;
  * Donate page updated (LiberaPay added);
  * Fix LP #2114245: Find function does not work;
  * [Linux] Installation in proper FHS folder ('/opt/openmoneybox', Arch)
            - or fallback ('/usr/bin') for Debian and derivatives and Fedora;
  * [FreeBSD] Installation in proper FHS folder ('/usr/local/bin/openmoneybox');
  * [Flatpak] Fix LP #2102101: Wrong path for location marker image;
  * [MacOS] Big Sur (11.0) test version.

 -- Igor Calì <igorcali@disroot.org>  Wed, 13 Aug 2025 15:10:00 +0200

openmoneybox (3.5.1-1ubuntu0) stable; urgency=medium

  * New feature: fund groups;
  * New feature: Support SqlCipher v4 format;
  * Fix LP #2064769: [MSW] Install registry keys for Control Panel not created;
  * Fix LP #2077873: Categories are not exported in master database;
  * Fix LP #2078562: [Desktop] Alarms not postponed in database if 'Postpone
  	all' is not checked;
  * Fix LP #2079890: [Linux] Broken icon in autostart file;
  * LP #2063940: [RPM] libappindicator support added in Fedora 41;
  * Restore Ubuntu Trusty LTS (14.04) build.
  * Arch 2024-11-01: notify-send -a switch added;
  * FreeBSD 14: notify-send -a switch added;
  * Code maturity: wxFormBuilder classes updated to v4.2.1;
  * [Ubuntu 24.10] - appindicator deprecation
  	(app_indicator_set_attention_icon and  app_indicator_set_icon).

 -- Igor Calì <igor.cali0@gmail.com>  Sat, 16 Nov 2024 11:39:00 +0200

openmoneybox (3.4.2-11ubuntu0) stable; urgency=medium

  * Fix LP #2059802: New Fund tool button does not work.

 -- Igor Calì <igor.cali0@gmail.com>  Sat, 30 Mar 2024 11:56:00 +0200

openmoneybox (3.4.2-10ubuntu0) stable; urgency=medium

  * Privacy policy added;
  * Code maturity: removed WXSQLITE_LOCAL makefile option;
  * Code maturity: removed scripts/sqlite.

 -- Igor Calì <igor.cali0@gmail.com>  Sat, 23 Mar 2024 14:00:00 +0200

openmoneybox (3.4.2-8ubuntu0) stable; urgency=medium

  * libxml2 library now used for XML export.

 -- Igor Calì <igor.cali0@gmail.com>  Sat, 10 Feb 2024 12:49:00 +0200

openmoneybox (3.4.2-7ubuntu0) stable; urgency=medium

  * Fixed trend chart marker colour;
  * New icon for New Fund;
  * Code maturity: Code Cleanup (cppcheck);
  * Code maturity: Removed 16-px toolbar icon support (_OMB_ICONSIZE_ compiler flag).

 -- Igor Calì <igor.cali0@gmail.com>  Sat, 13 Jan 2024 22:07:00 +0200

openmoneybox (3.4.2-6ubuntu0) stable; urgency=medium

  * Code maturity: wxFormBuilder classes updated to v4.0.0;
  * Standardization: removed __DEBIAN__ compile flag;
  * Standardization: removed __FEDORA__ compile flag;
  * Standardization: _OMB_INSTALLEDUPDATE compile switch used on Omb_StrToDate().
  * Fedora 39: Added dependency to highcontrast-icon-theme for mark-location.png

 -- Igor Calì <igor.cali0@gmail.com>  Tue, 19 Dec 2023 12:07:00 +0200

openmoneybox (3.4.2-5ubuntu0) stable; urgency=medium

  * Fixed crash if less funds in archive than in current budget;
  * Show alarm date in tree-list for lent and borrowed objects;
  * Show currency in tree-list for funds, credits and debts;
  * Improved toolbar colors with dark theme.

 -- Igor Calì <igor.cali0@gmail.com>  Sat, 05 Aug 2023 18:47:00 +0200

openmoneybox (3.4.2-4ubuntu0) stable; urgency=medium

  * Fix LP #2021414: Category change not saved from drop-down list in report.

 -- Igor Calì <igor.cali0@gmail.com>  Sun, 28 May 2023 22:55:00 +0200

openmoneybox (3.4.2-3ubuntu0) stable; urgency=medium

  * Fix LP #2018240: crash if master db folder does not exist;
  * [RPM] ombmapviewer feature added in Fedora 38; rpmlint cleanup;
  * Fix LP #2018221: ombMapViewer zoom and centering improved;
  * [Desktop] Code Cleanup (cppcheck);
  * Fix LP #2017172; Debian Lintian cleanup; rpmlint cleanup.

 -- Igor Calì <igor.cali0@gmail.com>  Mon, 01 May 2023 21:23:00 +0200

openmoneybox (3.4.2-2ubuntu0) stable; urgency=medium

  * Yelp manual;
  * Fix LP #2015934: Language detection not working on wxWidgets 3.2 builds.

 -- Igor Calì <igor.cali0@gmail.com>  Sat, 15 Apr 2023 12:09:00 +0200

openmoneybox (3.4.2-1ubuntu0) jammy; urgency=medium

  * Monolitich build;
  * New feature: show complete trend chart;
  * Graph trend color based on first date value.

 -- Igor Calì <igor.cali0@gmail.com>  Sun, 19 Mar 2023 22:53:00 +0200

openmoneybox (3.4.1-18ubuntu0) jammy; urgency=medium

  * Fix LP #1996427 - Report cannot be edited;
  * LP #1995712 - Category selectable from drop-down list in the report;

