=== debian/control ===
Source: openmoneybox
Section: utils
Priority: optional
Maintainer: Igor Calì <igorcali@disroot.org>
Build-Depends: debhelper (>= 13),
	desktop-file-utils,
	xsltproc,
#	docbook-xsl,
	lsb-release,
	libwxgtk3.2-dev | libwxgtk3.0-gtk3-dev | libwxgtk3.0-dev | libwxgtk2.8-dev,
	libgtk-3-dev,
	libayatana-appindicator-glib-dev | libayatana-appindicator3-dev | libappindicator3-dev,
#	libwxsqlite3-3.0-dev,
	libosmgpsmap-1.0-dev,
	libsqlcipher-dev,
	libxml2-dev
Standards-Version: 4.7.3
Homepage: https://igisw-bilancio.sourceforge.net/
#Vcs-Git: git@gitlab.com:igi0/openmoneybox.git
Vcs-Browser: https://gitlab.com/igi0/openmoneybox

Package: openmoneybox-common
Architecture: all
Depends: ${misc:Depends},
	openmoneybox-doc,
#	python,
# For mark-location.png
	gnome-accessibility-themes,
Description: Common data files for OpenMoneyBox
 OpenMoneyBox is an application designed to manage small personal
 money budgets in the easiest way.
 This package contains the common files to any architecture.

Package: openmoneybox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
	xdg-user-dirs,
#	libwxsqlite3-3.0-0,
#	python-matplotlib,
	libsqlcipher1,
	openmoneybox-common,
	libnotify-bin,
	libxml2,
# osspd necessary to route sounds (http://trac.wxwidgets.org/ticket/14899)
Recommends: osspd
Description: Budget management application
 OpenMoneyBox is an application designed to manage small personal
 money budgets in the easiest way.

Package: openmoneybox-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation for openmoneybox
 Documentation for the OpenMoneyxox application.
 Currently this package contains no real file.

Package: openmoneybox-mapviewer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	libosmgpsmap-1.0-1,
	openmoneybox
Description: OpenMoneyBox map viewer
 Display a map with location of transactions. Useful if mobile
 application with location storage is used.

Package: openmoneybox-locale-it
Architecture: all
Depends: ${misc:Depends},
# wx3.2-i18n necessary for standard dialog translations
	wx3.2-i18n | wx3.0-i18n,
	openmoneybox
Description: Italian language pack for OpenMoneyBox
 OpenMoneyBox is an application designed to manage small personal
 money budgets in the easiest way.
 This package contains Italian translations and search plugins for OpenMoneyBox

Package: openmoneybox-locale-fr
Architecture: all
Depends: ${misc:Depends},
# wx3.2-i18n necessary for standard dialog translations
	wx3.2-i18n | wx3.0-i18n,
	openmoneybox
Description: French language pack for OpenMoneyBox
 OpenMoneyBox is an application designed to manage small personal
 money budgets in the easiest way.
 This package contains French translations and search plugins for OpenMoneyBox

Package: openmoneybox-locale-sv
Architecture: all
Depends: ${misc:Depends},
# wx3.2-i18n necessary for standard dialog translations
	wx3.2-i18n | wx3.0-i18n,
	openmoneybox
Description: Swedish language pack for OpenMoneyBox
 OpenMoneyBox is an application designed to manage small personal
 money budgets in the easiest way.
 This package contains Swedish translations and search plugins for OpenMoneyBox

Package: openmoneybox-locale-ru
Architecture: all
Depends: ${misc:Depends},
# wx3.2-i18n necessary for standard dialog translations
	wx3.2-i18n,
	openmoneybox
Description: Russian language pack for OpenMoneyBox
 OpenMoneyBox is an application designed to manage small personal
 money budgets in the easiest way.
 This package contains Russian translations and search plugins for OpenMoneyBox
