=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	if test -d android; then rm -r android; fi # Remove android subfolders to reduce lintian errors
	make -j1

override_dh_auto_install:
	$(MAKE) DESTDIR=./debian/tmp install
	rm ./debian/tmp/usr/share/glib-2.0/schemas/gschemas.compiled

override_dh_compress:
	dh_compress -Xlicenza.txt -Xopenmoneybox-license.txt
