=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
	"pgpmode=auto" \
	#https://launchpad.net/bilancio/stable/omb3.5\.*download/openmoneybox_(.+).tar.gz # @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
	https://launchpad.net/bilancio \
	https://launchpad.net/bilancio/stable/omb3.5/.*download/openmoneybox_([.\d]+)\.tar\.gz
